Index: /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist
===================================================================
--- /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist	(revision 1623)
+++ /branches/libIGCM/ORCA2_LIM/IGCM00/PARAM/namelist	(revision 1624)
@@ -1,14 +1,14 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !! NEMO/OPA  :  1 - run manager      (namrun)
-!! namelists    2 - Domain           (nam_zgr, nam_zgr_sco, namdom)
+!! namelists    2 - Domain           (namzgr, namzgr_sco, namdom)
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
-!!                                    namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namalb)
-!!              4 - lateral boundary (namlbc, namcla, namobc, namagrif, nambdy, namtide)
+!!                                    namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namsbc_alb)
+!!              4 - lateral boundary (namlbc, namcla, namobc, namagrif, nambdy, nambdy_tide)
 !!              5 - bottom  boundary (nambfr, nambbc, nambbl)
-!!              6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
-!!              7 - dynamics         (nam_dynadv, nam_dynvor, nam_dynhpg, namflg, nam_dynspg, nam_dynldf)
-!!              8 - Verical physics  (nam_zdf, nam_npc, nam_ric, nam_tke, nam_kpp, nam_ddm, nam_tmx)
-!!              9 - diagnostics      (namtrd, namgap, namflo, namptr)
-!!              9 - miscellaneous    (namsol, nam_mpp, nam_mpp_dyndist, namctl)
+!!              6 - Tracer           (nameos, namtra_adv, namtra_ldf, namtra_dmp)
+!!              7 - dynamics         (namdyn_adv, namdyn_vor, namdyn_hpg, namdyn_spg, namdyn_ldf)
+!!              8 - Verical physics  (namzdf, namzdf_ric, namzdf_tke, namzdf_kpp, namzdf_ddm, namzdf_tmx)
+!!              9 - diagnostics      (namtrd, namgap, namspr, namflo, namptr)
+!!              9 - miscellaneous    (namsol, nammpp, nammpp_dyndist, namctl)
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !  CAUTION: some scripts does not support CAPITALs for logical use .true./.false., not .TRUE./.FALSE.
@@ -23,34 +23,34 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   no          =       0   !  job number
-   cexper      =  "ORCA2"  !  experience name 
+   nn_no       =       0   !  job number
+   cn_exp      =  "ORCA2"  !  experience name 
+   nn_it000    =       1   !  first time step
+   nn_itend    =     315   !  last  time step (std 5475)
+   nn_date0    =  010101   !  initial calendar date yymmdd (used if nrstdt=1)
+   nn_leapy    =       0   !  Leap year calendar (1) or not (0)
+   nn_istate   =       0   !  output the initial state (1) or not (0)
+   nn_stock    =    5475   !  frequency of creation of a restart file (modulo referenced to 1)
+   nn_write    =    5475   !  frequency of write in the output file   (modulo referenced to nit000)
+   ln_dimgnnn  = .false.   !  DIMG file format: 1 file for all processors (F) or by processor (T)
+   ln_mskland  = .false.   !  mask land points in NetCDF outputs (costly: + ~15%)
+   ln_clobber  = .false.   !  clobber (overwrite) an existing file
+   nn_chunksz  =       0   !  chunksize (bytes) for NetCDF file (working only with iom_nf90 routines)
+   ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
+   nn_rstctl   =       0       !  restart control = 0 nit000 is not compared to the restart file value
+                               !                  = 1 use ndate0 in namelist (not the value in the restart file)
+                               !                  = 2 calendar parameters read in the restart file
    cn_ocerst_in  = "restart"   !  suffix of ocean restart name (input)
    cn_ocerst_out = "restart"   !  suffix of ocean restart name (output)
-   ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
-   nrstdt      =       0   !  restart control = 0 nit000 is not compared to the restart file value
-                           !                  = 1 use ndate0 in namelist (not the value in the restart file)
-                           !                  = 2 calendar parameters read in the restart file
-   nit000      =       1   !  first time step
-   nitend      =    5475   !  last  time step
-   ndate0      =  010101   !  initial calendar date yymmdd (used if nrstdt=1)
-   nleapy      =       0   !  Leap year calendar (1) or not (0)
-   ninist      =       0   !  output the initial state (1) or not (0)
-   nstock      =    5475   !  frequency of creation of a restart file (modulo referenced to 1)
-   nwrite      =    5475   !  frequency of write in the output file   (modulo referenced to nit000)
-   ln_dimgnnn  = .false.   !  DIMG file format: 1 file for all processors (F) or by processor (T)
-   ln_mskland  = .false.   !  mask land points in NetCDF outputs (costly: + ~15%)
-   ln_clobber  = .false.   ! clobber (overwrite) an existing file
-   nn_chunksz  = 0         ! chunksize (bytes) for NetCDF file (working only with iom_nf90 routines)
 /
 !!======================================================================
 !!                      ***  Domain namelists  ***
 !!======================================================================
-!!   nam_zgr       vertical coordinate
-!!   nam_zgr_sco   s-coordinate or hybrid z-s-coordinate
-!!   namdom        space and time domain (bathymetry, mesh, timestep)
-!!======================================================================
-
-!-----------------------------------------------------------------------
-&nam_zgr       !   vertical coordinate
+!!   namzgr       vertical coordinate
+!!   namzgr_sco   s-coordinate or hybrid z-s-coordinate
+!!   namdom       space and time domain (bathymetry, mesh, timestep)
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namzgr        !   vertical coordinate
 !-----------------------------------------------------------------------
    ln_zco      = .false.   !  z-coordinate - full    steps   (T/F)      ("key_zco" may also be defined)
@@ -59,32 +59,32 @@
 /
 !-----------------------------------------------------------------------
-&nam_zgr_sco   !   s-coordinate or hybrid z-s-coordinate
-!-----------------------------------------------------------------------
-   sbot_min    =  300.     !  minimum depth of s-bottom surface (>0) (m)
-   sbot_max    = 5250.     !  maximum depth of s-bottom surface (= ocean depth) (>0) (m)
-   theta       =    6.0    !  surface control parameter (0<=theta<=20)
-   thetb       =    0.75   !  bottom control parameter  (0<=thetb<= 1)
-   r_max       =    0.15   !  maximum cut-off r-value allowed (0<r_max<1)
+&namzgr_sco    !   s-coordinate or hybrid z-s-coordinate
+!-----------------------------------------------------------------------
+   rn_sbot_min =  300.     !  minimum depth of s-bottom surface (>0) (m)
+   rn_sbot_max = 5250.     !  maximum depth of s-bottom surface (= ocean depth) (>0) (m)
+   rn_theta    =    6.0    !  surface control parameter (0<=theta<=20)
+   rn_thetb    =    0.75   !  bottom control parameter  (0<=thetb<= 1)
+   rn_rmax     =    0.15   !  maximum cut-off r-value allowed (0<r_max<1)
    ln_s_sigma  = .false.   !  hybrid s-sigma coordinates
-   bb          =    0.8    !  stretching with s-sigma
-   hc          =  150.0    !  critical depth with s-sigma 
+   rn_bb       =    0.8    !  stretching with s-sigma
+   rn_hc       =  150.0    !  critical depth with s-sigma 
 /
 !-----------------------------------------------------------------------
 &namdom        !   space and time domain (bathymetry, mesh, timestep)
 !-----------------------------------------------------------------------
-   ntopo       =    1      !  compute (=0) or read(=1) the bathymetry file
-   e3zps_min   =    5.     !  the thickness of the partial step is set larger than the minimum
-   e3zps_rat   =    0.1    !  of e3zps_min and e3zps_rat * e3t   (N.B. 0<e3zps_rat<1)
-   nmsh        =    0      !  create (=1) a mesh file (coordinates, scale factors, masks) or not (=0)
-   nacc        =    0      !  =1 acceleration of convergence method used, rdt < rdttra(k)
-                           !  =0, no acceleration, rdt = rdttra
-   atfp        =    0.1    !  asselin time filter parameter
-   rdt         = 5760.     !  time step for the dynamics (and tracer if nacc=0)
-   rdtmin      = 5760.     !  minimum time step on tracers (used if nacc=1)
-   rdtmax      = 5760.     !  maximum time step on tracers (used if nacc=1)
-   rdth        =  800.     !  depth variation of tracer time step  (used if nacc=1)
+   nn_bathy    =    1      !  compute (=0) or read(=1) the bathymetry file
+   nn_closea   =    0      !  closed seas and lakes are removed (=0) or kept (=1) from the ORCA domain
+   nn_msh      =    0      !  create (=1) a mesh file (coordinates, scale factors, masks) or not (=0)
+   rn_e3zps_min=   20.     !  the thickness of the partial step is set larger than the minimum
+   rn_e3zps_rat=    0.1    !  of e3zps_min and e3zps_rat * e3t   (N.B. 0<e3zps_rat<1)
+                           !
+   rn_rdt      = 5760.     !  time step for the dynamics (and tracer if nacc=0)   ==> 5760
    nn_baro     =   64      !  number of barotropic time step (for the split explicit algorithm) ("key_dynspg_ts")
-   nclosea     =    0      !  = 0 no closed sea in the model domain
-                           !  = 1 closed sea (Black Sea, Caspian Sea, Great US Lakes...) 
+   rn_atfp     =    0.1    !  asselin time filter parameter
+   nn_acc      =    0      !  acceleration of convergence : =1      used, rdt < rdttra(k)
+                                 !                          =0, not used, rdt = rdttra
+   rn_rdtmin   = 28800.          !  minimum time step on tracers (used if nacc=1)
+   rn_rdtmax   = 28800.          !  maximum time step on tracers (used if nacc=1)
+   rn_rdth     =  800.           !  depth variation of tracer time step  (used if nacc=1)
 /
 !!======================================================================
@@ -97,8 +97,8 @@
 !!   namsbc_core   CORE bulk formulea formulation
 !!   namsbc_cpl    CouPLed            formulation                       ("key_coupled")
-!!   namqsr        penetrative solar radiation
+!!   namtra_qsr    penetrative solar radiation
 !!   namsbc_rnf    river runoffs
 !!   namsbc_ssr    sea surface restoring term (for T and/or S)
-!!   namalb        albedo parameters
+!!   namsbc_alb    albedo parameters
 !!======================================================================
 
@@ -122,7 +122,8 @@
    ln_rnf      = .true.    !  runoffs (T => fill namsbc_rnf)
    ln_ssr      = .true.    !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
-   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
-                           !                     =1 global mean of e-p-r set to zero at each nn_fsbc time step   ,
+   nn_fwb      = 3         !  FreshWater Budget: =0 unchecked 
+                           !                     =1 global mean of e-p-r set to zero at each time step 
                            !                     =2 annual global mean of e-p-r set to zero
+                           !                     =3 global emp set to zero and spread out over erp area
 /
 !-----------------------------------------------------------------------
@@ -139,11 +140,11 @@
 &namsbc_flx    !   surface boundary condition : flux formulation
 !-----------------------------------------------------------------------
-!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
-!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
-   sn_utau     =      'utau'        ,        24.        ,    'utau'  ,     .false.    , .false. ,   'yearly'  , ''       , ''
-   sn_vtau     =      'vtau'        ,        24.        ,    'vtau'  ,     .false.    , .false. ,   'yearly'  , ''       , ''
-   sn_qtot     =      'qtot'        ,        24.        ,    'qtot'  ,     .false.    , .false. ,   'yearly'  , ''       , ''
-   sn_qsr      =      'qsr'         ,        24.        ,    'qsr'   ,     .false.    , .false. ,   'yearly'  , ''       , ''
-   sn_emp      =      'emp'         ,        24.        ,    'emp'   ,     .false.    , .false. ,   'yearly'  , ''       , ''
+!              !   file name  ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !    name    !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+   sn_utau     = 'utau'       ,        24.        ,    'utau'  ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_vtau     = 'vtau'       ,        24.        ,    'vtau'  ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_qtot     = 'qtot'       ,        24.        ,    'qtot'  ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_qsr      = 'qsr'        ,        24.        ,    'qsr'   ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_emp      = 'emp'        ,        24.        ,    'emp'   ,     .false.    , .false. , 'yearly'  , ''       , ''
 !
    cn_dir      = './'      !  root directory for the location of the flux files
@@ -152,13 +153,13 @@
 &namsbc_clio   !   namsbc_clio  CLIO bulk formulea
 !-----------------------------------------------------------------------
-!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
-!              !                    !  (if <0  months)  !    name    !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
-   sn_utau     =    'taux_1m'       ,       -1.         , 'sozotaux' ,    .false.     , .true.  ,   'yearly'  , ''       , ''
-   sn_vtau     =    'tauy_1m'       ,       -1.         , 'sometauy' ,    .false.     , .true.  ,   'yearly'  , ''       , ''
-   sn_wndm     =    'flx'           ,       -1.         , 'socliowi' ,    .false.     , .true.  ,   'yearly'  , ''       , ''
-   sn_tair     =    'flx'           ,       -1.         , 'socliot2' ,    .false.     , .true.  ,   'yearly'  , ''       , ''
-   sn_humi     =    'flx'           ,       -1.         , 'socliohu' ,    .false.     , .true.  ,   'yearly'  , ''       , ''
-   sn_ccov     =    'flx'           ,       -1.         , 'socliocl' ,    .false.     , .true.  ,   'yearly'  , ''       , ''
-   sn_prec     =    'flx'           ,       -1.         , 'socliopl' ,    .false.     , .true.  ,   'yearly'  , ''       , ''
+!              !   file name  ! frequency (hours) !  variable  ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !    name    !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+   sn_utau     = 'taux_1m'    ,       -1.         , 'sozotaux' ,    .false.     , .true.  , 'yearly'  , ''       , ''
+   sn_vtau     = 'tauy_1m'    ,       -1.         , 'sometauy' ,    .false.     , .true.  , 'yearly'  , ''       , ''
+   sn_wndm     = 'flx'        ,       -1.         , 'socliowi' ,    .false.     , .true.  , 'yearly'  , ''       , ''
+   sn_tair     = 'flx'        ,       -1.         , 'socliot2' ,    .false.     , .true.  , 'yearly'  , ''       , ''
+   sn_humi     = 'flx'        ,       -1.         , 'socliohu' ,    .false.     , .true.  , 'yearly'  , ''       , ''
+   sn_ccov     = 'flx'        ,       -1.         , 'socliocl' ,    .false.     , .true.  , 'yearly'  , ''       , ''
+   sn_prec     = 'flx'        ,       -1.         , 'socliopl' ,    .false.     , .true.  , 'yearly'  , ''       , ''
 !
    cn_dir      = './'      !  root directory for the location of the bulk files are
@@ -167,23 +168,23 @@
 &namsbc_core   !   namsbc_core  CORE bulk formulea
 !-----------------------------------------------------------------------
-!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
-!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
-   sn_wndi     =    'u10_core'      ,       -1.         , 'u10'      ,    .true.      , .true.  ,   'yearly'  ,'bicubic_weights_orca2.nc' ,  'U1'
-   sn_wndj     =    'v10_core'      ,       -1.         , 'v10'      ,    .true.      , .true.  ,   'yearly'  ,'bicubic_weights_orca2.nc' ,  'V1'
-   sn_qsr      =    'qsw_core'      ,       -1.         , 'swdn'     ,    .true.      , .true.  ,   'yearly'  ,'bilinear_weights_orca2.nc',  ''
-   sn_qlw      =    'qlw_core'      ,       -1.         , 'lwdn'     ,    .true.      , .true.  ,   'yearly'  ,'bilinear_weights_orca2.nc',  ''
-   sn_tair     =    't2_core'       ,       -1.         , 't2'       ,    .true.      , .true.  ,   'yearly'  ,'bilinear_weights_orca2.nc',  ''
-   sn_humi     =    'q2_core'       ,       -1.         , 'q2'       ,    .true.      , .true.  ,   'yearly'  ,'bilinear_weights_orca2.nc',  ''
-   sn_prec     =    'precip_core'   ,       -1.         , 'precip'   ,    .true.      , .true.  ,   'yearly'  ,'bilinear_weights_orca2.nc',  ''
-   sn_snow     =    'snow_core'     ,       -1.         , 'snow'     ,    .true.      , .true.  ,   'yearly'  ,'bilinear_weights_orca2.nc',  ''
+!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim    ! 'yearly'/ !       weights             ! rotation !
+!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)   ! 'monthly' !       filename            ! pairing  !
+   sn_wndi     = 'u10_core'   ,       24.         , 'u10'      ,    .true.      , .false.  , 'yearly'  ,'bicubic_weights_orca2.nc' ,   'U1'
+   sn_wndj     = 'v10_core'   ,       24.         , 'v10'      ,    .true.      , .false.  , 'yearly'  ,'bicubic_weights_orca2.nc' ,   'V1'
+   sn_qsr      = 'qsw_core'   ,       24.         , 'radsw'    ,    .true.      , .false.  , 'yearly'  ,'bilinear_weights_orca2.nc',   ''
+   sn_qlw      = 'qlw_core'   ,       24.         , 'radlw'    ,    .true.      , .false.  , 'yearly'  ,'bilinear_weights_orca2.nc',   ''
+   sn_tair     = 't2_core'    ,       24.         , 't2'       ,    .true.      , .false.  , 'yearly'  ,'bilinear_weights_orca2.nc',   ''
+   sn_humi     = 'q2_core'    ,       24.         , 'q2'       ,    .true.      , .false.  , 'yearly'  ,'bilinear_weights_orca2.nc',   ''
+   sn_prec     = 'precip_core',       -1.         , 'precip'   ,    .true.      , .false.  , 'yearly'  ,'bilinear_weights_orca2.nc',   ''
+   sn_snow     = 'snow_core'  ,       -1.         , 'snow'     ,    .true.      , .false.  , 'yearly'  ,'bilinear_weights_orca2.nc',   ''
 !
    cn_dir      = './'      !  root directory for the location of the bulk files
    ln_2m       = .true.    !  air temperature and humidity referenced at 2m (T) instead 10m (F)
-   alpha_precip= 1.        !  multiplicative factor for precipitation (total & snow)
+   rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
 /
 !-----------------------------------------------------------------------
 &namsbc_cpl    !   coupled ocean/atmosphere model                        ("key_coupled")
 !-----------------------------------------------------------------------
-! SEND
+                                       ! send
 cn_snd_temperature= 'weighted oce and ice'  ! 'oce only' 'weighted oce and ice' 'mixed oce-ice'
 cn_snd_albedo     = 'weighted ice'          ! 'none' 'weighted ice' 'mixed oce-ice'
@@ -193,5 +194,5 @@
 cn_snd_crt_orient = 'eastward-northward'    ! 'eastward-northward' or 'local grid'
 cn_snd_crt_grid   = 'T'                     ! 'T'
-! RECEIVE
+                                       ! receive
 cn_rcv_w10m       = 'coupled'               ! 'none' 'coupled'
 cn_rcv_tau_nature = 'oce only'              ! 'oce only' 'oce and ice' 'mixed oce-ice'
@@ -209,19 +210,17 @@
 &namsbc_cpl_co2   !   coupled ocean/biogeo/atmosphere model            ("key_cpl_carbon_cycle")
 !-----------------------------------------------------------------------
-! SEND
-cn_snd_co2        = 'coupled'               !  'none' 'coupled'
-! RECEIVE
-cn_rcv_co2        = 'coupled'               ! 'none' 'coupled'
-/
-!-----------------------------------------------------------------------
-&namqsr        !   penetrative solar radiation
-!-----------------------------------------------------------------------
-!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
-!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
-   sn_chl    =   'chlorophyll'      ,        -1.        , 'CHLA'     ,    .true.      , .true.  ,   'yearly'  , ''       , ''
-!
+cn_snd_co2        = 'coupled'         ! send    :  'none' 'coupled'
+cn_rcv_co2        = 'coupled'         ! receive : 'none' 'coupled'
+/
+!-----------------------------------------------------------------------
+&namtra_qsr    !   penetrative solar radiation
+!-----------------------------------------------------------------------
+!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+   sn_chl      = 'chlorophyll',        -1.        , 'CHLA'     ,    .true.      , .true.  , 'yearly'  , ''       , ''
+ 
    cn_dir      = './'      !  root directory for the location of the runoff files
    ln_traqsr   = .true.    !  Light penetration (T) or not (F)
-   ln_qsr_rgb  = .true.   !  RGB (Red-Green-Blue) light penetration
+   ln_qsr_rgb  = .true.    !  RGB (Red-Green-Blue) light penetration
    ln_qsr_2bd  = .false.   !  2 bands              light penetration
    ln_qsr_bio  = .false.   !  bio-model light penetration
@@ -235,41 +234,43 @@
 &namsbc_rnf    !   runoffs namelist surface boundary condition
 !-----------------------------------------------------------------------
-!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
-!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
-   sn_rnf    =   'runoff_1m_nomask' ,        -1.        , 'sorunoff' ,    .true.      , .true.  ,   'yearly'  , ''       , ''
-   sn_cnf    =   'runoff_1m_nomask' ,         0.        , 'socoefr'  ,    .false.     , .true.  ,   'yearly'  , ''       , ''
-!
+!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+   sn_rnf      = 'runoff_1m_nomask' ,  -1.        , 'sorunoff' ,    .true.      , .true.  , 'yearly'  , ''       , ''
+   sn_cnf      = 'runoff_1m_nomask' ,   0.        , 'socoefr'  ,    .false.     , .true.  , 'yearly'  , ''       , ''
+ 
    cn_dir       = './'      !  root directory for the location of the runoff files
    ln_rnf_emp   =   .false. !  runoffs included into precipitation field (T) or into a file (F)
    ln_rnf_mouth =   .false. !  specific treatment at rivers mouths
-   rn_hrnf      =   0.e0    !  depth over which enhanced vertical mixing is used
+   rn_hrnf      =  15.e0    !  depth over which enhanced vertical mixing is used
    rn_avt_rnf   =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
-   rn_mul_rnf   =   1.e0    !  multiplicative factor for runoff
+   rn_rfact     =   1.e0    !  multiplicative factor for runoff
 /
 !-----------------------------------------------------------------------
 &namsbc_ssr    !   surface boundary condition : sea surface restoring
 !-----------------------------------------------------------------------
-!              !     file name      ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly' or ! weights  ! rotation !
-!              !                    !  (if <0  months)  !   name     !    (logical)   !  (T/F)  !  'monthly'  ! filename ! pairing  !
-   sn_sst      =    'sst_data'     ,        24.        ,  'sst'     ,     .false.    , .false. ,   'yearly'   , ''       , ''
-   sn_sss      =    'sss_data'     ,        -1.        ,  'sss'     ,     .true.     , .true.  ,   'yearly'   , ''       , ''
-!   
+!              !   file name  ! frequency (hours) ! variable   ! time interpol. !  clim   ! 'yearly'/ ! weights  ! rotation !
+!              !              !  (if <0  months)  !   name     !    (logical)   !  (T/F)  ! 'monthly' ! filename ! pairing  !
+   sn_sst      = 'sst_data'   ,        24.        ,  'sst'     ,     .false.    , .false. , 'yearly'  , ''       , ''
+   sn_sss      = 'sss_data'   ,        -1.        ,  'sss'     ,     .true.     , .true.  , 'yearly'  , ''       , ''
+    
    cn_dir      = './'      !  root directory for the location of the runoff files
    nn_sstr     =     0     !  add a retroaction term in the surface heat       flux (=1) or not (=0)
-   nn_sssr     =     1     !  add a damping     term in the surface freshwater flux (=1) or not (=0)
-   dqdt        =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
-   deds        =   -27.7   !  magnitude of the damping on salinity   [mm/day/psu]
-   ln_sssr_bnd =   .false. !  flag to bound erp term (associated with nn_sssr=2)
-   rn_sssr_bnd =   0.e0    !  ABS(Max/Min) value of the damping erp term [mm/day]
+   nn_sssr     =     2     !  add a damping     term in the surface freshwater flux (=2) 
+                           !  or to SSS only (=1) or no damping term (=0)
+   rn_dqdt     =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
+   rn_deds     =   -27.7   !  magnitude of the damping on salinity   [mm/day/psu]
+   ln_sssr_bnd =   .true.  !  flag to bound erp term (associated with nn_sssr=2)
+   rn_sssr_bnd =   4.e0    !  ABS(Max/Min) value of the damping erp term [mm/day]
 /      
 !-----------------------------------------------------------------------
-&namalb        !   albedo parameters
-!-----------------------------------------------------------------------
-   cgren       =    0.06   !  correction of the snow or ice albedo to take into account the
-   albice      =    0.53   !  albedo of melting ice in the arctic and antarctic
-   alphd       =    0.80   !  coefficients for linear interpolation used to
-   alphc       =    0.65   !  compute albedo between two extremes values 
-   alphdi      =    0.72   !  (Pyane, 1972)
-/
+&namsbc_alb    !   albedo parameters
+!-----------------------------------------------------------------------
+   rn_cloud    =    0.06   !  cloud correction to snow and ice albedo 
+   rn_albice   =    0.53   !  albedo of melting ice in the arctic and antarctic
+   rn_alphd    =    0.80   !  coefficients for linear interpolation used to
+   rn_alphc    =    0.65   !  compute albedo between two extremes values 
+   rn_alphdi   =    0.72   !  (Pyane, 1972)
+/
+
 !!======================================================================
 !!               ***  Lateral boundary condition  ***
@@ -286,45 +287,43 @@
 &namlbc        !   lateral momentum boundary condition
 !-----------------------------------------------------------------------
-   shlat       =    2.     !      shlat = 0 : free slip
-                           !  0 < shlat < 2 : partial slip
-                           !      shlat = 2 : no slip
-                           !  2 < shlat     : strong slip
+   rn_shlat    =    2.     !  shlat = 0  !  0 < shlat < 2  !  shlat = 2  !  2 < shlat
+                           !  free slip  !   partial slip  !   no slip   ! strong slip
 /
 !-----------------------------------------------------------------------
 &namcla        !   cross land advection
 !-----------------------------------------------------------------------
-   n_cla       =    1      !  advection between 2 ocean pts separates by land
+   nn_cla      =    0      !  advection between 2 ocean pts separates by land
 /
 !-----------------------------------------------------------------------
 &namobc        !   open boundaries parameters                           ("key_obc")
 !-----------------------------------------------------------------------
-    nobc_dta   =    1      !  = 0 the obc data are equal to the initial state
-                           !  = 1 the obc data are read in 'obc.dta' files
-    cffile     = 'annual'  !  set to annual if obc datafile hold 1 year of data
-                           !  set to monthly if obc datafile hold 1 month of data
-    rdpein     =    1.     !  ???
-    rdpwin     =    1.     !  ???
-    rdpnin     =    1.     !  ???
-    rdpsin     =    1.     !  ???
-    rdpeob     = 3000.     !  time relaxation (days) for the east  open boundary
-    rdpwob     =   15.     !    "        "             "     west         "
-    rdpnob     = 3000.     !    "        "             "     north        "
-    rdpsob     =   15.     !    "        "             "     south        "
-    zbsic1     =  140.e+6  !   barotropic stream function on first  isolated coastline
-    zbsic2     =    1.e+6  !    "                   "        second       "
-    zbsic3     =    0.     !    "                   "        thrid        "
     ln_obc_clim= .false.   !  climatological obc data files (T) or not (F)
     ln_vol_cst = .true.    !  impose the total volume conservation (T) or not (F)
-/
-!-----------------------------------------------------------------------
-&namagrif      !                                                        ("key_agrif")
-!-----------------------------------------------------------------------
-    nbclineupdate = 3      !  baroclinic update frequency
+    ln_obc_fla = .false.   !  Flather open boundary condition 
+    nn_obcdta  =    1      !  = 0 the obc data are equal to the initial state
+                           !  = 1 the obc data are read in 'obc.dta' files
+    cn_obcdta  = 'annual'  !  set to annual if obc datafile hold 1 year of data
+                           !  set to monthly if obc datafile hold 1 month of data
+    rn_dpein   =    1.     !  damping time scale for inflow at east  open boundary
+    rn_dpwin   =    1.     !     -           -         -       west    -      -
+    rn_dpnin   =    1.     !     -           -         -       north   -      -
+    rn_dpsin   =    1.     !     -           -         -       south   -      -
+    rn_dpeob   = 3000.     !  time relaxation (days) for the east  open boundary
+    rn_dpwob   =   15.     !     -           -         -     west    -      -
+    rn_dpnob   = 3000.     !     -           -         -     north   -      -
+    rn_dpsob   =   15.     !     -           -         -     south   -      -
+    rn_volemp  =  1.       !  = 0 the total volume change with the surface flux (E-P-R)
+                           !  = 1 the total volume remains constant
+/
+!-----------------------------------------------------------------------
+&namagrif      !  AGRIF zoom                                            ("key_agrif")
+!-----------------------------------------------------------------------
+    nn_cln_update = 3      !  baroclinic update frequency
     ln_spc_dyn    = .true. !  use 0 as special value for dynamics
-    visc_tra      = 2880.  !  viscosity coeeficient for tracers sponge layer
-    visc_dyn      = 2880.  !  viscosity coeeficient for dynamics sponge layer
-/
-!-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries parameters               ("key_bdy")
+    rn_sponge_tra = 2880.  !  coefficient for tracer   sponge layer [s]
+    rn_sponge_dyn = 2880.  !  coefficient for dynamics sponge layer [s]
+/
+!-----------------------------------------------------------------------
+&nambdy        !  unstructured open boundaries                          ("key_bdy")
 !-----------------------------------------------------------------------
     filbdy_mask    =  ''                  !  name of mask file (if ln_bdy_mask=.TRUE.)
@@ -346,5 +345,5 @@
 /
 !-----------------------------------------------------------------------
-&namtide        ! tidal forcing at unstructured boundaries              
+&nambdy_tide     ! tidal forcing at unstructured boundaries              
 !-----------------------------------------------------------------------
     filtide      = 'bdytide_'           !  file name root of tidal forcing files
@@ -353,4 +352,5 @@
     ln_tide_date = .false.              !  adjust tidal harmonics for start date of run
 /
+
 !!======================================================================
 !!                 ***  Bottom boundary condition  ***
@@ -364,17 +364,17 @@
 &nambfr        !   bottom friction
 !-----------------------------------------------------------------------
-   nbotfr      =    1      !  type of bottom friction :   = 0 : no   slip,  = 2 : nonlinear friction
+   nn_bfr      =    1      !  type of bottom friction :   = 0 : no   slip,  = 2 : nonlinear friction
                            !                              = 3 : free slip,  = 1 :    linear friction
-   bfri1       =    4.e-4  !  bottom drag coefficient (linear case)
-   bfri2       =    1.e-3  !  bottom drag coefficient (non linear case)
-   bfeb2       =    2.5e-3 !  bottom turbulent kinetic energy background  (m^2/s^2)
+   rn_bfri1    =    4.e-4  !  bottom drag coefficient (linear case)
+   rn_bfri2    =    1.e-3  !  bottom drag coefficient (non linear case)
+   rn_bfeb2    =    2.5e-3 !  bottom turbulent kinetic energy background  (m^2/s^2)
 /
 !-----------------------------------------------------------------------
 &nambbc        !   bottom temperature boundary condition
 !-----------------------------------------------------------------------
-   ngeo_flux   =    2      !  geothermal heat flux = 0 no flux considered 
-                           !                       = 1 constant flux
-                           !                       = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
-   ngeo_flux_const = 86.4e-3  !  Constant value of geothermal heat flux [W/m2]
+   nn_geoflx   =    2      !  geothermal heat flux: = 0 no flux 
+                           !     = 1 constant flux
+                           !     = 2 variable flux (read in geothermal_heating.nc in mW/m2) 
+   rn_geoflx_cst = 86.4e-3 !  Constant value of geothermal heat flux [W/m2]
 /
 !-----------------------------------------------------------------------
@@ -383,5 +383,5 @@
 !                          !  diffusive bbl                             ("key_trabbl")
 !                          !  advective bbl                             ("key_trabbl_adv")
-   atrbbl      =  10000.   !  lateral mixing coefficient in the bbl  [m2/s]
+   rn_ahtbbl   =  10000.   !  lateral mixing coefficient in the bbl  [m2/s]
 /
 !!======================================================================
@@ -389,7 +389,7 @@
 !!======================================================================
 !!   nameos        equation of state
-!!   nam_traadv    advection scheme
-!!   nam_traldf    lateral diffusion scheme
-!!   namtdp        tracer newtonian damping                             ("key_tradmp")
+!!   namtra_adv    advection scheme
+!!   namtra_ldf    lateral diffusion scheme
+!!   namtra_dmp    T & S newtonian damping                              ("key_tradmp")
 !!======================================================================
 
@@ -397,16 +397,16 @@
 &nameos        !   ocean physical parameters
 !-----------------------------------------------------------------------
-   neos        =    0      !  type of equation of state and Brunt-Vaisala frequency
+   nn_eos      =    0      !  type of equation of state and Brunt-Vaisala frequency
                            !     = 0, UNESCO (formulation of Jackett and McDougall (1994) and of McDougall (1987) )
                            !     = 1, linear: rho(T)   = rau0 * ( 1.028 - ralpha * T )
                            !     = 2, linear: rho(T,S) = rau0 * ( rbeta * S - ralpha * T )
-   ralpha      =    2.e-4  !  thermal expension coefficient (neos= 1 or 2)
-   rbeta       =    0.001  !  saline  expension coefficient (neos= 2)
-/
-!-----------------------------------------------------------------------
-&nam_traadv    !   advection scheme for tracer 
-!-----------------------------------------------------------------------
-   ln_traadv_cen2   =  .true.   !  2nd order centered scheme   
-   ln_traadv_tvd    =  .false.  !  TVD scheme                
+   rn_alpha    =    2.e-4  !  thermal expension coefficient (neos= 1 or 2)
+   rn_beta     =    0.001  !  saline  expension coefficient (neos= 2)
+/
+!-----------------------------------------------------------------------
+&namtra_adv    !   advection scheme for tracer 
+!-----------------------------------------------------------------------
+   ln_traadv_cen2   =  .false.  !  2nd order centered scheme   
+   ln_traadv_tvd    =  .true.   !  TVD scheme                
    ln_traadv_muscl  =  .false.  !  MUSCL scheme             
    ln_traadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries  
@@ -414,46 +414,44 @@
 /
 !-----------------------------------------------------------------------
-&nam_traldf    !   lateral diffusion scheme for tracer 
-!-----------------------------------------------------------------------
-!                               !  Type of the operator : 
+&namtra_ldf    !   lateral diffusion scheme for tracer 
+!-----------------------------------------------------------------------
+                           !  Type of the operator : 
    ln_traldf_lap    =  .true.   !     laplacian operator       
    ln_traldf_bilap  =  .false.  !     bilaplacian operator     
-                                !  Direction of action  :
+                           !  Direction of action  :
    ln_traldf_level  =  .false.  !     iso-level                
    ln_traldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
    ln_traldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
-!                               !  Coefficient
-   aht0        =  2000.         !     horizontal eddy diffusivity for tracers [m2/s]
-   ahtb0       =     0.         !     background eddy diffusivity for ldf_iso [m2/s]
-   aeiv0       =  2000.         !     eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
-/
-!-----------------------------------------------------------------------
-&namtdp        !   tracer newtonian damping                             ('key_tradmp')
-!-----------------------------------------------------------------------
-   ndmp        =   -1      !  type of damping in temperature and salinity 
-                           !     ='latitude', damping poleward of 'ndmp' degrees and function 
-                           !                  of the distance-to-coast. Red and Med Seas as ndmp=-1
-                           !     =-1 damping only in Med and Red Seas
-   ndmpf       =    1      !  create a damping.coeff NetCDF file (=1) or not (=0)
-   nmldmp      =    1      !  type of damping: =0 damping throughout the water column
-                           !                   =1 no damping in the mixed layer defined by avt >5cm2/s )
-                           !                   =2 no damping in the mixed layer defined rho<rho(surf)+.01 )
-   sdmp        =   50.     !  surface time scale for internal damping (days)
-   bdmp        =  360.     !  bottom  time scale for internal damping (days)
-   hdmp        =  800.     !  depth of transition between sdmp and bdmp (meters)
+                           !  Coefficient
+   rn_aht_0         =  2000.    !     horizontal eddy diffusivity for tracers [m2/s]
+   rn_ahtb_0        =     0.    !     background eddy diffusivity for ldf_iso [m2/s]
+   rn_aeiv_0        =  2000.    !     eddy induced velocity coefficient [m2/s]    (require "key_traldf_eiv")
+/
+!-----------------------------------------------------------------------
+&namtra_dmp    !   tracer: T & S newtonian damping                      ('key_tradmp')
+!-----------------------------------------------------------------------
+   nn_hdmp     =   -1      !  horizontal shape =-1, damping in Med and Red Seas only
+                           !                   =XX, damping poleward of XX degrees (XX>0)
+                           !                      + F(distance-to-coast) + Red and Med Seas
+   nn_zdmp     =    1      !  vertical   shape =0    damping throughout the water column
+                           !                   =1 no damping in the mixing layer (kz  criteria)
+                           !                   =2 no damping in the mixed  layer (rho crieria)
+   rn_surf     =   50.     !  surface time scale of damping   [days]
+   rn_bot      =  360.     !  bottom  time scale of damping   [days]
+   rn_dep      =  800.     !  depth of transition between rn_surf and rn_bot [meters]
+   nn_file     =    1      !  create a damping.coeff NetCDF file (=1) or not (=0)
 /
 !!======================================================================
 !!                      ***  Dynamics namelists  ***
 !!======================================================================
-!!   nam_dynadv    formulation of the momentum advection
-!!   nam_dynvor    advection scheme
-!!   nam_dynhpg    hydrostatic pressure gradient
-!!   namflg        hydrostatic pressure gradient time stepping
-!!   nam_dynspg    surface pressure gradient                            (CPP key only)
-!!   nam_dynldf    lateral diffusion scheme
-!!======================================================================
-
-!-----------------------------------------------------------------------
-&nam_dynadv    !   formulation of the momentum advection
+!!   namdyn_adv    formulation of the momentum advection
+!!   namdyn_vor    advection scheme
+!!   namdyn_hpg    hydrostatic pressure gradient
+!!   namdyn_spg    surface pressure gradient                            (CPP key only)
+!!   namdyn_ldf    lateral diffusion scheme
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namdyn_adv    !   formulation of the momentum advection
 !-----------------------------------------------------------------------
    ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)  
@@ -462,13 +460,13 @@
 /  
 !-----------------------------------------------------------------------
-&nam_dynvor    !   option of physics/algorithm (not control by CPP keys)
+&namdyn_vor    !   option of physics/algorithm (not control by CPP keys)
 !-----------------------------------------------------------------------
    ln_dynvor_ene = .false. !  enstrophy conserving scheme  
-   ln_dynvor_ens = .true.  !  energy conserving scheme    
+   ln_dynvor_ens = .false. !  energy conserving scheme    
    ln_dynvor_mix = .false. !  mixed scheme               
-   ln_dynvor_een = .false. !  energy & enstrophy scheme  
-/
-!-----------------------------------------------------------------------
-&nam_dynhpg    !   Hydrostatic pressure gradient option
+   ln_dynvor_een = .true.  !  energy & enstrophy scheme  
+/
+!-----------------------------------------------------------------------
+&namdyn_hpg    !   Hydrostatic pressure gradient option
 !-----------------------------------------------------------------------
    ln_hpg_zco  = .false.   !  z-coordinate - full steps                   
@@ -479,15 +477,11 @@
    ln_hpg_djc  = .false.   !  s-coordinate (Density Jacobian with Cubic polynomial)
    ln_hpg_rot  = .false.   !  s-coordinate (ROTated axes scheme)
-   gamm        = 0.e0      !  weighting coefficient (wdj scheme)
-/
-!-----------------------------------------------------------------------
-&namflg        !   algorithm flags (algorithm not control by CPP keys)
-!-----------------------------------------------------------------------
-   ln_dynhpg_imp = .false. !  hydrostatic pressure gradient: semi-implicit time scheme  (T)
-                           !                                 centered      time scheme  (F)
-   nn_dynhpg_rst =  0      !  add dynhpg implicit variables in restart ot not (1/0)
-/
-!-----------------------------------------------------------------------
-!nam_dynspg    !   surface pressure gradient   (CPP key only)
+   rn_gamma    = 0.e0      !  weighting coefficient (wdj scheme)
+   ln_dynhpg_imp = .false. !  time stepping: semi-implicit time scheme  (T)
+                                 !           centered      time scheme  (F)
+   nn_dynhpg_rst =  0            ! =1 dynhpg restartable restart or not (=0)
+/
+!-----------------------------------------------------------------------
+!namdyn_spg    !   surface pressure gradient   (CPP key only)
 !-----------------------------------------------------------------------
 !                          !  explicit free surface                     ("key_dynspg_exp")
@@ -496,59 +490,57 @@
 
 !-----------------------------------------------------------------------
-&nam_dynldf    !   lateral diffusion on momentum
-!-----------------------------------------------------------------------
-!                               !  Type of the operator : 
-   ln_dynldf_lap    =  .true.   !     laplacian operator         
-   ln_dynldf_bilap  =  .false.  !     bilaplacian operator    
-!                               !  Direction of action  : 
-   ln_dynldf_level  =  .false.  !     iso-level               
-   ln_dynldf_hor    =  .true.   !     horizontal (geopotential)        (require "key_ldfslp" in s-coord.)
-   ln_dynldf_iso    =  .false.  !     iso-neutral                      (require "key_ldfslp")
-                                !  Coefficient
-   ahm0    = 40000.             !     horizontal eddy viscosity   [m2/s]
-   ahmb0   =     0.             !     background eddy viscosity for ldf_iso [m2/s]
+&namdyn_ldf    !   lateral diffusion on momentum
+!-----------------------------------------------------------------------
+                           !  Type of the operator : 
+   ln_dynldf_lap    =  .true.   !  laplacian operator         
+   ln_dynldf_bilap  =  .false.  !  bilaplacian operator    
+                           !  Direction of action  : 
+   ln_dynldf_level  =  .false.  !  iso-level               
+   ln_dynldf_hor    =  .true.   !  horizontal (geopotential)            (require "key_ldfslp" in s-coord.)
+   ln_dynldf_iso    =  .false.  !  iso-neutral                          (require "key_ldfslp")
+                           !  Coefficient
+   rn_ahm_0    = 40000.         !  horizontal eddy viscosity   [m2/s]
+   rn_ahmb_0   =     0.         !  background eddy viscosity for ldf_iso [m2/s]
 /
 !!======================================================================
 !!             Tracers & Dynamics vertical physics namelists
 !!======================================================================
-!!       nam_zdf       vertical physics
-!!       nam_npc       non penetrative convection                       
-!!       nam_ric       richardson number dependent vertical mixing      ("key_zdfric"      )
-!!       nam_tke       TKE dependent vertical mixing                    ("key_zdftke"      )
-!!       nam_kpp       KPP dependent vertical mixing                    ("key_zdfkpp"      )
-!!       nam_ddm       double diffusive mixing parameterization         ("key_zdfddm"      )
-!!       nam_tmx       tidal mixing parameterization                    ("key_zdftmx"      )
-!!======================================================================
-
-!-----------------------------------------------------------------------
-&nam_zdf       !   vertical physics
-!-----------------------------------------------------------------------
-                           !  vertical eddy coef. or their background values
+!!       namzdf        vertical physics
+!!       namzdf_ric    richardson number dependent vertical mixing      ("key_zdfric"      )
+!!       namzdf_tke    TKE dependent vertical mixing                    ("key_zdftke"      )
+!!       namzdf_kpp    KPP dependent vertical mixing                    ("key_zdfkpp"      )
+!!       namzdf_ddm    double diffusive mixing parameterization         ("key_zdfddm"      )
+!!       namzdf_tmx    tidal mixing parameterization                    ("key_zdftmx"      )
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namzdf        !   vertical physics
+!-----------------------------------------------------------------------
    rn_avm0     =   1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
    rn_avt0     =   1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
    nn_avb      =    0      !  profile for background avt & avm (=1) or not (=0)
    nn_havtb    =    0      !  horizontal shape for avtb (=1) or not (=0)
-   ln_zdfevd   = .true.    !  convection: enhanced vertical diffusion (evd) (T) or not (F)
-   nn_evdm     =    1      !              evd apply on tracer (=0) or on tracer and momentum (=1)
-   rn_avevd    =  100.     !              evd mixing coefficient [m2/s]
-   ln_zdfnpc   = .false.   !  convection: Non-Penetrative algorithm (T) or not (F)
-   nn_npc      =    1      !              frequency of application of npc
-   nn_npcp     =  365      !              control print frequency
-   ln_zdfexp   =  .false.  !  time-stepping: split-explicit (T) or implicit (F) time stepping
-   nn_zdfexp   =    3      !                 number of sub-timestep for ln_zdfexp=T
-/
-!-----------------------------------------------------------------------
-&nam_ric       !   richardson number dependent vertical diffusion       ("key_zdfric" )
-!-----------------------------------------------------------------------
-   rn_avmri    = 100.e-4   !  avm = rn_avmri / ( 1 + rn_alp * Ri**nn_ric )
-   rn_alp      =   5.      !  avt = avm      / ( 1 + rn_alp * Ri )
-   nn_ric      =   2       !
-/
-!-----------------------------------------------------------------------
-&nam_tke        !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
+   ln_zdfevd   = .true.    !  enhanced vertical diffusion (evd) (T) or not (F)
+   nn_evdm     =    0      !  evd apply on tracer (=0) or on tracer and momentum (=1)
+   rn_avevd    =  100.     !  evd mixing coefficient [m2/s]
+   ln_zdfnpc   = .false.   !  Non-Penetrative algorithm (T) or not (F)
+   nn_npc      =    1            !  frequency of application of npc
+   nn_npcp     =  365            !  npc control print frequency
+   ln_zdfexp   = .false.   !  time-stepping: split-explicit (T) or implicit (F) time stepping
+   nn_zdfexp   =    3            !  number of sub-timestep for ln_zdfexp=T
+/
+!-----------------------------------------------------------------------
+&namzdf_ric    !   richardson number dependent vertical diffusion       ("key_zdfric" )
+!-----------------------------------------------------------------------
+   rn_avmri    = 100.e-4   !  maximum value of the vertical viscosity
+   rn_alp      =   5.      !  coefficient of the parameterization
+   nn_ric      =   2       !  coefficient of the parameterization
+/
+!-----------------------------------------------------------------------
+&namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
 !-----------------------------------------------------------------------
    rn_ediff    =   0.1     !  coef. for vertical eddy coef. (avt=rn_ediff*mxl*sqrt(e) )
    rn_ediss    =   0.7     !  coef. of the Kolmogoroff dissipation
-   rn_ebb      =   3.75    !  coef. of the surface input of tke
+   rn_ebb      =  60.      !  coef. of the surface input of tke
    rn_emin     =   1.e-6   !  minimum value of tke [m2/s2]
    rn_emin0    =   1.e-4   !  surface minimum value of tke [m2/s2]
@@ -560,19 +552,19 @@
    nn_pdl      =   1       !  Prandtl number function of richarson number (=1, avt=pdl(Ri)*avm) or not (=0, avt=avm)
    ln_mxl0     = .false.   !  mixing length scale surface value as function of wind stress (T) or not (F)
-   rn_lmin     =   0.4     !  interior buoyancy lenght scale minimum value
-   rn_lmin0    =   0.4     !  surface  buoyancy lenght scale minimum value
+   rn_lmin     =   0.001   !  interior buoyancy lenght scale minimum value
+   rn_lmin0    =   0.01    !  surface  buoyancy lenght scale minimum value
    nn_etau     =   0       !  exponentially deceasing penetration of tke due to internal & intertial waves
                            !        = 0 no penetration ( O(2 km) resolution)
                            !        = 1 additional tke source
                            !        = 2 additional tke source applied only at the base of the mixed layer
-   nn_htau     =   2       !  type of exponential decrease of tke penetration
+   nn_htau     =   1       !  type of exponential decrease of tke penetration
                            !        = 0  constant 10 m length scale
-                           !        = 1  ???
+                           !        = 1  0.5m at the equator to 30m at high latitudes
    rn_efr      =   0.05    !  fraction of surface tke value which penetrates inside the ocean
    ln_lc       = .false.   !  Langmuir cell parameterisation
    rn_lc       =   0.15    !  coef. associated to Langmuir cells
 /
-!------------------------------------------------------------------------ 
-&nam_kpp       !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionnally:
+!------------------------------------------------------------------------
+&namzdf_kpp    !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionnally:
 !------------------------------------------------------------------------ "key_kppcustom" or "key_kpplktb")
    ln_kpprimix = .true.    !  shear instability mixing 
@@ -585,7 +577,7 @@
    nn_avb      =  0        !  horizontal averaged (=1) or not (=0) on avt and amv
    nn_ave      =  1        !  constant (=0) or profile (=1) background on avt
-/  
-!-----------------------------------------------------------------------
-&nam_ddm       !   double diffusive mixing parameterization                  ("key_zdfddm")
+/
+!-----------------------------------------------------------------------
+&namzdf_ddm    !   double diffusive mixing parameterization             ("key_zdfddm")
 !-----------------------------------------------------------------------
    rn_avts     = 1.e-4     !  maximum avs (vertical mixing on salinity)
@@ -593,19 +585,18 @@
 /
 !-----------------------------------------------------------------------
-&nam_tmx       !   tidal mixing parameterization                             ("key_zdftmx")
-!-----------------------------------------------------------------------
-   rn_htmx    = 500.      !  vertical decay scale for turbulence (meters)
-   rn_n2min   = 1.e-8     !  threshold of the Brunt-Vaisala frequency (s-1)
-   rn_tfe     = 0.333     !  tidal dissipation efficiency
-   rn_me      = 0.2       !  mixing efficiency 
-   ln_tmx_itf = .FALSE.   !  ITF specific parameterisation
-   rn_tfe_itf = 1.        !  ITF tidal dissipation efficiency
-/
-
+&namzdf_tmx    !   tidal mixing parameterization                        ("key_zdftmx")
+!-----------------------------------------------------------------------
+   rn_htmx     = 500.      !  vertical decay scale for turbulence (meters)
+   rn_n2min    = 1.e-8     !  threshold of the Brunt-Vaisala frequency (s-1)
+   rn_tfe      = 0.333     !  tidal dissipation efficiency
+   rn_me       = 0.2       !  mixing efficiency 
+   ln_tmx_itf  = .FALSE.   !  ITF specific parameterisation
+   rn_tfe_itf  = 1.        !  ITF tidal dissipation efficiency
+/
 !!======================================================================
 !!                  ***  Miscelaneous namelists  ***
 !!======================================================================
-!!   nam_mpp           Massively Parallel Processing                    ("key_mpp_mpi)
-!!   nam_mpp_dyndist   Massively Parallel domain decomposition          ("key_agrif" && "key_mpp_dyndist")
+!!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi)
+!!   nammpp_dyndist    Massively Parallel domain decomposition          ("key_agrif" && "key_mpp_dyndist")
 !!   namctl            Control prints & Benchmark
 !!   namsol            elliptic solver / island / free surface 
@@ -615,45 +606,45 @@
 &namsol        !   elliptic solver / island / free surface 
 !-----------------------------------------------------------------------
-   nsolv       =      1    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
+   nn_solv     =      1    !  elliptic solver: =1 preconditioned conjugate gradient (pcg)
                            !                   =2 successive-over-relaxation (sor)
-   nsol_arp    =      0    !  absolute/relative (0/1) precision convergence test
-   nmin        =    300    !  minimum of iterations for the SOR solver
-   nmax        =    800    !  maximum of iterations for the SOR solver
-   nmod        =     10    !  frequency of test for the SOR solver
-   eps         =  1.e-6    !  absolute precision of the solver
-   resmax      =  1.e-10   !  absolute precision for the SOR solver
-   sor         =  1.92     !  optimal coefficient for SOR solver (to be adjusted with the domain)
-   rnu         =      1.   !  strength of the additional force used in filtered free surface
-/
-!-----------------------------------------------------------------------
-&nam_mpp      !   Massively Parallel Processing                         ("key_mpp_mpi)
-!-----------------------------------------------------------------------
-   c_mpi_send =  'S'       !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
+   nn_sol_arp  =      0    !  absolute/relative (0/1) precision convergence test
+   rn_eps      =  1.e-6    !  absolute precision of the solver
+   nn_nmin     =    300    !  minimum of iterations for the SOR solver
+   nn_nmax     =    800    !  maximum of iterations for the SOR solver
+   nn_nmod     =     10    !  frequency of test for the SOR solver
+   rn_resmax   =  1.e-10   !  absolute precision for the SOR solver
+   rn_sor      =  1.92     !  optimal coefficient for SOR solver (to be adjusted with the domain)
+/
+!-----------------------------------------------------------------------
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
+!-----------------------------------------------------------------------
+   cn_mpi_send =  'S'      !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
                            !  buffer blocking send or immediate non-blocking sends, resp.
-   nn_buffer  =   0        !  size in bytes of exported buffer ('B' case), 0 no exportation
-/
-!-----------------------------------------------------------------------
-&nam_mpp_dyndist !   Massively Parallel Distribution                    ("key_agrif" && "key_mpp_dyndist")
-!-----------------------------------------------------------------------
-   jpni       =    1       !  jpni   number of processors following i
-   jpnj       =    1       !  jpnj   number of processors following j
-   jpnij      =    1       !  jpnij  number of local domains
-/
-!-----------------------------------------------------------------------
-&namctl       !   Control prints & Benchmark
-!-----------------------------------------------------------------------
-   ln_ctl     = .false.    !  trends control print (expensive!)
-   nprint     =    0       !  level of print (0 no extra print)
-   nictls     =    0       !  start i indice of control sum (use to compare mono versus
-   nictle     =    0       !  end   i indice of control sum        multi processor runs
-   njctls     =    0       !  start j indice of control               over a subdomain)
-   njctle     =    0       !  end   j indice of control 
-   isplt      =    1       !  number of processors in i-direction
-   jsplt      =    1       !  number of processors in j-direction
-   nbench     =    0       !  Bench mode (1/0): CAUTION use zero except for bench
+   nn_buffer   =   0       !  size in bytes of exported buffer ('B' case), 0 no exportation
+/
+!-----------------------------------------------------------------------
+&nammpp_dyndist !   Massively Parallel Distribution for AGRIF zoom      ("key_agrif" && "key_mpp_dyndist")
+!-----------------------------------------------------------------------
+   jpni        =    1      !  jpni   number of processors following i
+   jpnj        =    1      !  jpnj   number of processors following j
+   jpnij       =    1      !  jpnij  number of local domains
+/
+!-----------------------------------------------------------------------
+&namctl        !   Control prints & Benchmark
+!-----------------------------------------------------------------------
+   ln_ctl      = .false.   !  trends control print (expensive!)
+   nn_print    =    0      !  level of print (0 no extra print)
+   nn_ictls    =    0      !  start i indice of control sum (use to compare mono versus
+   nn_ictle    =    0      !  end   i indice of control sum        multi processor runs
+   nn_jctls    =    0      !  start j indice of control               over a subdomain)
+   nn_jctle    =    0      !  end   j indice of control
+   nn_isplt    =    1      !  number of processors in i-direction
+   nn_jsplt    =    1      !  number of processors in j-direction
+   nn_bench    =    0      !  Bench mode (1/0): CAUTION use zero except for bench
                            !     (no physical validity of the results)
-   nbit_cmp   =    0       !  bit comparison mode (1/0): CAUTION use zero except for test
+   nn_bit_cmp  =    0      !  bit comparison mode (1/0): CAUTION use zero except for test
                            !     of comparison between single and multiple processor runs
 /
+
 !!======================================================================
 !!                       ***  Diagnostics namelists  ***
@@ -666,21 +657,20 @@
 
 !-----------------------------------------------------------------------
-&namtrd       !   diagnostics on dynamics and/or tracer trends             ("key_trddyn" and/or "key_trdtra")
-!                          or mixed-layer trends                        ('key_trdmld')
-!                          or barotropic vorticity                      ("key_trdvor")
-!-----------------------------------------------------------------------
-   ntrd       = 365        !  time step frequency dynamics and tracers trends
-   nctls      =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
-   ucf        =   1.       !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
-   cn_trdrst_in  = "restart_mld"   ! suffix of ocean restart name (input)
-   cn_trdrst_out = "restart_mld"   ! suffix of ocean restart name (output)
-   ln_trdmld_restart = .false.     !  restart for ML diagnostics
-   ln_trdmld_instant = .false.     !  flag to diagnose trends of instantantaneous or mean ML T/S
+&namtrd        !   diagnostics on dynamics and/or tracer trends         ("key_trddyn" and/or "key_trdtra")
+!              !       or mixed-layer trends or barotropic vorticity    ('key_trdmld' or  "key_trdvor")
+!-----------------------------------------------------------------------
+   nn_trd      = 365       !  time step frequency dynamics and tracers trends
+   nn_ctls     =   0       !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   rn_ucf      =   1.      !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   cn_trdrst_in      = "restart_mld"   ! suffix of ocean restart name (input)
+   cn_trdrst_out     = "restart_mld"   ! suffix of ocean restart name (output)
+   ln_trdmld_restart = .false.         !  restart for ML diagnostics
+   ln_trdmld_instant = .false.         !  flag to diagnose trends of instantantaneous or mean ML T/S
 /
 !-----------------------------------------------------------------------
 &namgap       !   level mean model-data gap                             ('key_diagap')
 !-----------------------------------------------------------------------
-   ngap       =  15        !  time-step frequency of model-data gap computation
-   nprg       =  10        !  time-step frequency of gap print in model output
+   nn_gap     =  15        !  time-step frequency of model-data gap computation
+   nn_prg     =  10        !  time-step frequency of gap print in model output
 /
 !-----------------------------------------------------------------------
@@ -688,6 +678,6 @@
 !-----------------------------------------------------------------------
     ln_rstflo = .false.    !  float restart (T) or not (F)
-    nwritefl  =      75    !  frequency of writing in float output file 
-    nstockfl  =    5475    !  frequency of creation of the float restart file 
+    nn_writefl=      75    !  frequency of writing in float output file 
+    nn_stockfl=    5475    !  frequency of creation of the float restart file 
     ln_argo   = .false.    !  Argo type floats (stay at the surface each 10 days)
     ln_flork4 = .false.    !  trajectories computed with a 4th order Runge-Kutta (T)
